Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::browser_listener Class Reference

This class should be inherited by classes that want to listen for `browser_events`. More...

`#include <openvrml/browser.h>`

List of all members.

## Public Member Functions

virtual | ~browser_listener ()=0 throw ()
| Destroy.

## Private Member Functions

void | browser_changed (const browser_event &event)
| Send a `browser_event`.
virtual void | do_browser_changed (const browser_event &event)=0

## Friends

class | browser
| `browser` instances need to call `browser_changed`.

## Detailed Description

This class should be inherited by classes that want to listen for `browser_events`.

## Constructor & Destructor Documentation

openvrml::browser_listener::~browser_listener | ( |  | ) | throw ()`[pure virtual]`

Destroy.

## Member Function Documentation

void openvrml::browser_listener::browser_changed | ( | const browser_event & | event | ) | `[private]`

Send a `browser_event`.

For internal use only.

This function delegates to `do_browser_changed`.

Parameters:

  `[in]` | event | the `browser_event` to send.

void openvrml::browser_listener::do_browser_changed | ( | const browser_event & | event | ) | `[private, pure virtual]`

Parameters:

  `[in]` | event | the `browser_event` to send.

## Friends And Related Function Documentation

openvrml::browser_listener::browser`[friend]`

`browser` instances need to call `browser_changed`.

For internal use only.